package com.yihu.jw.entity.door;


import com.yihu.jw.entity.IntegerIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.math.BigDecimal;


/**
* 服务工单评价实体
*
* @author Administrator on  2019年03月15日
*
*/
@Entity
@Table(name = "wlyy_door_comment")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_door_comment")
public class WlyyDoorCommentDO extends IntegerIdentityEntityWithOperator {

    /**
	 * 工单id
	 */
	private String orderId;

    /**
     * 评价code
     */
    private String code;

    /**
	 * 专业能力
	 */
	private Integer professionalSkill;

    /**
	 * 服务态度
	 */
	private Integer serveAttitude;

    /**
	 * 服务效率
	 */
	private Integer serveEfficiency;

    /**
     * 平均分
     */
    private BigDecimal evaluateSplit;

    /**
	 * 服务描述和建议
	 */
	private String description;

    /**
	 * 是否匿名：0-否，1-是
	 */
	private Integer isAnonymous;

    /**
	 * 评价的居民id
	 */
	private String patient;


	@Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	@Column(name = "professional_skill")
    public Integer getProfessionalSkill() {
        return professionalSkill;
    }
    public void setProfessionalSkill(Integer professionalSkill) {
        this.professionalSkill = professionalSkill;
    }

	@Column(name = "serve_attitude")
    public Integer getServeAttitude() {
        return serveAttitude;
    }
    public void setServeAttitude(Integer serveAttitude) {
        this.serveAttitude = serveAttitude;
    }

	@Column(name = "serve_efficiency")
    public Integer getServeEfficiency() {
        return serveEfficiency;
    }
    public void setServeEfficiency(Integer serveEfficiency) {
        this.serveEfficiency = serveEfficiency;
    }

	@Column(name = "description")
    public String getDescription() {
        return description;
    }
    public void setDescription(String description) {
        this.description = description;
    }

	@Column(name = "is_anonymous")
    public Integer getIsAnonymous() {
        return isAnonymous;
    }
    public void setIsAnonymous(Integer isAnonymous) {
        this.isAnonymous = isAnonymous;
    }

	@Column(name = "patient")
    public String getPatient() {
        return patient;
    }
    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "evaluate_split")
    public BigDecimal getEvaluateSplit() {
        return evaluateSplit;
    }

    public void setEvaluateSplit(BigDecimal evaluateSplit) {
        this.evaluateSplit = evaluateSplit;
    }
}